import { Router } from "express";
import { FuelRequestController } from "./fuelRequest.controller";
import { authMiddleware } from "../auth/auth.middleware";

const fuelRequestRouter = Router();

const controller = new FuelRequestController();


//Obtener todas las requisiciones
fuelRequestRouter.get("/", authMiddleware, controller.getAll);


//Obtener requisición por ID
fuelRequestRouter.get("/:id", authMiddleware, controller.getById);


//Crear requisición
fuelRequestRouter.post( "/", authMiddleware, controller.create);


//Actualizar requisición
fuelRequestRouter.put("/:id", authMiddleware, controller.update);

//Eliminar requisició
fuelRequestRouter.delete("/:id", authMiddleware, controller.delete);

export default fuelRequestRouter;